Package org.opensaml.xacml.policy

# Interface RuleType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `RuleTypeImpl`

public interface RuleType extends XACMLObject
XACML Rule schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element Rule.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element Rule.
`static final String`
`EFFECT_ATTRIB_NAME`
Effect attribute name.
`static final String`
`RULE_ID_ATTRIB_NAME`
RuleId attribute name.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`ConditionType`
`getCondition()`
Gets the condition for this rule.
`DescriptionType`
`getDescription()`
Gets the description of this rule.
`EffectType`
`getEffect()`
Gets the effect of the rule.
`String`
`getRuleId()`
Gets the ID for this rule.
`TargetType`
`getTarget()`
Gets the target of this rule.
`void`
`setCondition(ConditionType condition)`
Sets the condition for this rule.
`void`
`setDescription(DescriptionType description)`
Sets the description of this rule.
`void`
`setEffect(EffectType type)`
Sets the effect of the rule.
`void`
`setRuleId(String id)`
Sets the ID for this rule.
`void`
`setTarget(TargetType target)`
Sets the target of this rule.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element Rule.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element Rule.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### RULE_ID_ATTRIB_NAME

static final String RULE_ID_ATTRIB_NAME
RuleId attribute name.

See Also:
  - Constant Field Values

### EFFECT_ATTRIB_NAME

static final String EFFECT_ATTRIB_NAME
Effect attribute name.

See Also:
  - Constant Field Values

## Method Details

### getDescription

DescriptionType getDescription()
Gets the description of this rule.

Returns:
  description of this rule

### setDescription

void setDescription(DescriptionType description)
Sets the description of this rule.

Parameters:
  `description` - the description of this rule

### getTarget

TargetType getTarget()
Gets the target of this rule.

Returns:
  the target of this rule

### setTarget

void setTarget(TargetType target)
Sets the target of this rule.

Parameters:
  `target` - the target of this rule

### getCondition

ConditionType getCondition()
Gets the condition for this rule.

Returns:
  the condition for this rule

### setCondition

void setCondition(ConditionType condition)
Sets the condition for this rule.

Parameters:
  `condition` - the condition for this rule

### getRuleId

String getRuleId()
Gets the ID for this rule.

Returns:
  the ID for this rule

### setRuleId

void setRuleId(String id)
Sets the ID for this rule.

Parameters:
  `id` - the ID for this rule

### getEffect

EffectType getEffect()
Gets the effect of the rule.

Returns:
  the effect of the rule

### setEffect

void setEffect(EffectType type)
Sets the effect of the rule.

Parameters:
  `type` - the effect of the rule